Package com.destroystokyo.paper.event.executor.asm

# Class ASMEventExecutorGenerator

java.lang.Object
com.destroystokyo.paper.event.executor.asm.ASMEventExecutorGenerator

public class ASMEventExecutorGenerator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static AtomicInteger`
`NEXT_ID`

## Constructor Summary

Constructors
Constructor
Description
`ASMEventExecutorGenerator()`

## Method Summary

Modifier and Type
Method
Description
`static @org.jetbrains.annotations.NotNull byte[]`
`generateEventExecutor(@NotNull Method m, @NotNull String name)`
`static @NotNull String`
`generateName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NEXT_ID

public static AtomicInteger NEXT_ID

## Constructor Details

### ASMEventExecutorGenerator

public ASMEventExecutorGenerator()

## Method Details

### generateEventExecutor

@NotNull public static @org.jetbrains.annotations.NotNull byte[] generateEventExecutor(@NotNull @NotNull Method m, @NotNull @NotNull String name)

### generateName

@NotNull public static @NotNull String generateName()